// -*- javascript -*-
// https://wiki.alioth.net/index.php/Oolite_JavaScript_Reference:_Condition_scripts

"use strict";

this.name        = "oolite.oxp.EnergyContainmentUnit:EQ_ECU_FORWARDWEAPON.conditions";
this.author      = "mlewissmith";
this.copyright   = "(C) 2024 mlewissmith";
this.licence     = "UNLICENSE";
this.description = "Energy Containment Unit enhancements to Standard Equipment available to buy.";
this.version     = "0.2.1";

////////////////////////////////////////////////////////////////////////////////
// Debuggery

this.$debug_enabled   = false;
this._log             = function(log_message) { log(this.name, log_message) }
this._debug           = function(debug_message) { if (this.$debug_enabled) this._log(debug_message) }

////////////////////////////////////////////////////////////////////////////////
// Internals

this.$worldscriptName = "oolite.oxp.EnergyContainmentUnit:ForwardWeaponECU";
this.$worldscript     = worldScripts[this.$worldscriptName];

////////////////////////////////////////////////////////////////////////////////
// Event handlers

this.allowAwardEquipment = function(equipmentKey, ship, context) {
    var allowedContext = ( context == "purchase" || context == "scripted" );
    var validWeapon = this.$worldscript._forwardWeaponECU();
    if ( allowedContext && validWeapon ) {
        return true;
    }
    return false;
}
