// -*- javascript -*-
// https://wiki.alioth.net/index.php/Oolite_JavaScript_Reference:_Equipment_scripts

"use strict";

this.name        = "oolite.oxp.EnergyContainmentUnit:EQ_ECU_SHIELDBOOSTERS_LICENCE";
this.author      = "mlewissmith";
this.copyright   = "(C) 2024 mlewissmith";
this.licence     = "UNLICENSE";
this.description = "Energy Containment Unit enhancements to Standard Equipment available to buy.";
this.version     = "0.2.1";

////////////////////////////////////////////////////////////////////////////////
// Debuggery

this.$debug_enabled   = false;
this._log             = function(log_message) { log(this.name, log_message) }
this._debug           = function(debug_message) { if (this.$debug_enabled) this._log(debug_message) }

////////////////////////////////////////////////////////////////////////////////
// Internals

this.$worldscriptName = "oolite.oxp.EnergyContainmentUnit:ShieldBoostersECU";
this.$worldscript     = worldScripts[this.$worldscriptName];

////////////////////////////////////////////////////////////////////////////////
// Event handlers

this.activated = function() {
    this.$worldscript._activateECU();
}

this.mode = function() {
    this._debug( "mode()" );
    this._debug( "name        : " + this.name );
    this._debug( "author      : " + this.author );
    this._debug( "copyright   : " + this.copyright );
    this._debug( "license     : " + this.license );
    this._debug( "description : " + this.description );
    this._debug( "version     : " + this.version );
    this._debug( "EQ_ECU_SHIELDBOOSTERS_LICENCE:" + (this.$worldscript.$active ? "ACTIVE" : "INACTIVE") );
}
